package com.brilliance.isc.common.lgbdet.service;

import com.brilliance.isc.common.lgbdet.vo.LgbdetVo;
import com.brilliance.isc.common.lgbdet.vo.LgbdetgVo;
import com.brilliance.isc.common.vo.SimpleModuleVo;

import java.math.BigDecimal;

public interface LgbdetService {

    void assertLgbdet(LgbdetVo lgbdetVo);

    void saveLGBDET(LgbdetVo lgbdetVo);

    void setLgo(LgbdetgVo lgbdetgVo, LgbdetVo lgbdetVo);

    void setLge(LgbdetgVo lgbdetgVo);

    void lgbDetSetLimitAmount(LgbdetVo lgbdetVo, String extID, String cur, BigDecimal amt, SimpleModuleVo linkModule);

    void lgbDetSetModule(SimpleModuleVo linkModule);

    void lgbDetSetCancel(LgbdetVo lgbdetVo, String extID, SimpleModuleVo linkModule);

    /**
     * 复核
     * @param ordInr
     */
    void doRelease(String ordInr);

    /**
     * 打回
     * @param ordInr
     */
    void doRepair(String ordInr);
}
